%define ocamlname ppx_base

Name:           ocaml-%{ocamlname}
Version:        0.10.0
Release:        1%{?dist}.emp1
Summary:        Base set of ppx rewriters
License:        Apache-2.0
URL:            https://github.com/janestreet/%{ocamlname}
Source0:        %{ocamlname}-v%{version}.tar.gz

Requires:       ocaml >= 4.04.1
Requires:       ocaml-ppx_compare >= 0.10
Requires:       ocaml-ppx_compare < 0.11
Requires:       ocaml-ppx_driver >= 0.10
Requires:       ocaml-ppx_driver < 0.11
Requires:       ocaml-ppx_enumerate >= 0.10
Requires:       ocaml-ppx_enumerate < 0.11
Requires:       ocaml-ppx_hash >= 0.10
Requires:       ocaml-ppx_hash < 0.11
Requires:       ocaml-ppx_js_style >= 0.10
Requires:       ocaml-ppx_js_style < 0.11
Requires:       ocaml-ppx_sexp_conv >= 0.10
Requires:       ocaml-ppx_sexp_conv < 0.11
Requires:       ocaml-ppx_type_conv >= 0.10
Requires:       ocaml-ppx_type_conv < 0.11
Requires: 	ocaml-ocaml-migrate-parsetree >= 0.4

BuildRequires:  opam-installer >= 2.0
BuildRequires:  ocaml >= 4.04.1
BuildRequires:  jbuilder
BuildRequires:  ocaml-ppx_compare-devel >= 0.10
BuildRequires:  ocaml-ppx_compare-devel < 0.11
BuildRequires:  ocaml-ppx_driver-devel >= 0.10
BuildRequires:  ocaml-ppx_driver-devel < 0.11
BuildRequires:  ocaml-ppx_enumerate-devel >= 0.10
BuildRequires:  ocaml-ppx_enumerate-devel < 0.11
BuildRequires:  ocaml-ppx_hash-devel >= 0.10
BuildRequires:  ocaml-ppx_hash-devel < 0.11
BuildRequires:  ocaml-ppx_js_style-devel >= 0.10
BuildRequires:  ocaml-ppx_js_style-devel < 0.11
BuildRequires:  ocaml-ppx_sexp_conv-devel >= 0.10
BuildRequires:  ocaml-ppx_sexp_conv-devel < 0.11
BuildRequires:  ocaml-ppx_type_conv-devel >= 0.10
BuildRequires:  ocaml-ppx_type_conv-devel < 0.11
BuildRequires: 	ocaml-ocaml-migrate-parsetree-devel >= 0.4

%description
ppx_base is the set of ppx rewriters used for Base.

Note that Base doesn't need ppx to build, it is only used as a
verification tool.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-ppx_compare-devel >= 0.10
Requires:       ocaml-ppx_compare-devel < 0.11
Requires:       ocaml-ppx_driver-devel >= 0.10
Requires:       ocaml-ppx_driver-devel < 0.11
Requires:       ocaml-ppx_enumerate-devel >= 0.10
Requires:       ocaml-ppx_enumerate-devel < 0.11
Requires:       ocaml-ppx_hash-devel >= 0.10
Requires:       ocaml-ppx_hash-devel < 0.11
Requires:       ocaml-ppx_js_style-devel >= 0.10
Requires:       ocaml-ppx_js_style-devel < 0.11
Requires:       ocaml-ppx_sexp_conv-devel >= 0.10
Requires:       ocaml-ppx_sexp_conv-devel < 0.11
Requires:       ocaml-ppx_type_conv-devel >= 0.10
Requires:       ocaml-ppx_type_conv-devel < 0.11
Requires: 	ocaml-ocaml-migrate-parsetree-devel >= 0.4

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{ocamlname}-v%{version}

%build
jbuilder build  -p %{ocamlname} %{?_smp_mflags}

%install
opam-installer \
	--prefix=%{buildroot}/%{_libdir}/ocaml \
	--libdir=%{buildroot}/%{_libdir}/ocaml \
	%{ocamlname}.install
mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}/%{_libdir}/ocaml/bin/* %{buildroot}/%{_bindir}/.

%files
%doc %{_libdir}/ocaml/doc/%{ocamlname}/LICENSE.txt
%{_libdir}/ocaml/%{ocamlname}
%{_bindir}/*
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{ocamlname}/*.a
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmxa
%exclude %{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif

%files devel
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{ocamlname}/*.a
%{_libdir}/ocaml/%{ocamlname}/*.cmxa
%{_libdir}/ocaml/%{ocamlname}/*.cmx
%endif
